<?php
/**
 * oseWpscantApi class
 *
 * @package OSE WP Scan
 * @author Open Source Excellence <https://www.opensource-excellence.com/>
 * @since 1.0.0

 */

if ( ! defined( 'ABSPATH' ) ) {
    die();
}
class oseWpscantApi {

    protected $api_url = 'https://cpanel-v01.api.opensource-excellence.co.uk/';
    protected $dev_api = 'https://cpanel-staging.api.opensource-excellence.co.uk/';

    public function sendApiScanRequest($data){
        $site_url = esc_url(get_site_url());
        $site_url = $this->cleanupDomain($site_url);
        $post = array();
        $post['email'] = $data['email'];
        $post['web_address'] = $site_url;
        $this->api_url = $this->api_url.'wpscan/scanrequest';
        $result = $this->sendRequest($post);
        return $result;
    }
    protected function loadUserClass () {
        require_once(ABSPATH."wp-includes/pluggable.php");
        require_once(ABSPATH."wp-includes/functions.php");
    }
    protected function sendRequest($post_data){
        $url = $this->api_url;
        $args = array(
            'body' => $post_data,
            'timeout' => '30',
            'redirection' => '5',
            'httpversion' => '1.0',
            'blocking' => true,
            'headers' => array(),
            'cookies' => array()
        );
        $response = wp_remote_post( $url, $args );
        $response = wp_remote_retrieve_body($response);
        return $response;
    }
    protected function cleanupDomain($domain) {
        $domain = str_replace(array("www.","https://","http://"), "", $domain);
        if (substr($domain, -1) == '/') {
            $domain = substr($domain, 0, -1);
        }
        return $domain;
    }
}
