(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
    $(function() {

		$("#terms").click(function () {
            if ($(this).prop("checked")) {
                $('#ose-wpscan-account-save').attr("disabled",false);
                $.ajax( {
                    url: ose_wpscan_exchanger.ajax_url,
                    type: 'post',
                    data: "action=check_wpscan_data&security="+ose_wpscan_exchanger._nonce,
                    success: function (response) {
                        var data = $.parseJSON(response);
                        if(data.success == true){
                            $('#ose-wpscan-scan-request').attr("disabled",false);
                        }else{
                            $('#ose-wpscan-scan-request').attr("disabled",true);
                        }
                    }
                });
            } else {
                $('#ose-wpscan-account-save').attr("disabled",true);
                $('#ose-wpscan-scan-request').attr("disabled",true);
            }
		});

        $( document ).on( 'submit', '#ose-wpscan-account-form', function ( e ) {

            e.preventDefault();

            // We inject some extra fields required for the security
            $(this).append('<input type="hidden" name="action" value="store_wpscan_data" />');
            $(this).append('<input type="hidden" name="security" value="'+ ose_wpscan_exchanger._nonce +'" />');

            // We make our call
            $.ajax( {
                url: ose_wpscan_exchanger.ajax_url,
                type: 'post',
                data: $(this).serialize(),
                success: function (response) {
                    //   alert(response);
                    $('#ose-wpscan-scan-request').attr("disabled",false);
                    $('#response-message').text(response);
                }
            } );

        } );

        $('#ose-wpscan-scan-request').click(function () {
            $.ajax( {
                url: ose_wpscan_exchanger.ajax_url,
                type: 'post',
                data: "action=send_scan_request&security="+ose_wpscan_exchanger._nonce,
                success: function (response) {
                    var data = jQuery.parseJSON(response);
                    //alert(data.message);
                    $('#response-message').text(data.message);
                }
            } );
        });
    });
})( jQuery );
